<!DOCTYPE HTML>
<html>
    <head>
        <script type="text/javascript" src="conf/config-prd.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
        <style>
            .image {
                -moz-transform:scale(0.5);
                -webkit-transform:scale(0.5);
                transform:scale(0.5);
            }

        </style>
    </head>
    <body>
        <form action="test-content.html" method="get">
            ID Content: <input type="text" id="id" name="id" value="2674">
            <input type="submit" value="Submit">
        </form>
        <br>
        <div>ID Content : <label id="content_id"></label></div>
        <div>ID Content Core : <label id="content_core_id"></label></div>
        <div>Title : <label id="title"></label></div>
        <div>Duration : <label id="duration"></label></div>
        <div>Type : <label id="type"></label></div>
        <div>Category : <label id="cat_name"></label></div>
        <div>Rating : <label id="rating"></label></div>
        <div>Year : <label id="year"></label></div>
        <div>DRM : <label id="drm"></label></div>
        <div>MPD : <label id="mpd"></label></div>
        <div>HLS : <label id="hls"></label></div>
        <div>
            <form action="https://okezone.visionplus.id/player-prd.html" method="get" target="_blank">
                <input type="hidden" id="urlmpd" name="url" value="">
                <input type="hidden" id="urlhls" name="url2" value="">
                <input type="hidden" id="urlimg" name="img" value="">
                <input type="submit" value="Play">
            </form>
        </div>
        <div>
            <table>
                <tr><td>banner_url</td> <td><img id="banner_url" alt="" src=""/> </td></tr>
                <tr><td>big_poster</td> <td><img id="big_poster" alt="" src=""/> </td></tr>
                <tr><td>image_url</td> <td><img id="image_url" alt="" src=""/> </td></tr>

                <tr><td>thumb_url</td> <td><img id="thumb_url" alt="" src=""/> </td></tr>
                <tr><td>url_portrait_poster</td> <td><img id="url_portrait_poster" alt="" src=""/> </td></tr>
                <tr><td>url_square_poster</td> <td><img id="url_square_poster" alt="" src=""/> </td></tr>

                <tr><td>url_web_banner_detail</td> <td><img id="url_web_banner_detail" alt="" src=""> </td></tr>
                <tr><td>url_wide_poster</td> <td><img id="url_wide_poster" alt="" src=""> </td></tr>
            </table>
        </div>
        <!-- <a href="" id="play" target="_blank"><img id="poster" alt="" src=""  height="375" width="245">&nbsp;<img id="banner" alt="" src=""  width="375" height="245"></a> -->
        
        <script>
            function getQueryStrings() { 
                var assoc  = {};
                var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
                var queryString = location.search.substring(1); 
                var keyValues = queryString.split('&'); 
    
                for(var i in keyValues) { 
                var key = keyValues[i].split('=');
                if (key.length > 1) {
                        assoc[decode(key[0])] = decode(key[1]);
                    }
                } 
    
                return assoc;
            }
  
            var qs = getQueryStrings();
            var id = qs["id"];
            if (!id) { id = 2674; }

            params = {
                "device_id": configs.content.device_id,
                "password": configs.content.password,
                "platform": configs.content.platform,
                "username": configs.content.username
            }

            function callbackFunction(xmlhttp) 
            {
                //alert(xmlhttp.responseXML);
            }

            var ItemJSON;
            var res;

            ItemJSON = JSON.stringify(params)
            URL = configs.content.urlbase + "/api/v/login"

            var xmlhttp = new XMLHttpRequest();
            // xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
            xmlhttp.open("POST", URL, false);
            xmlhttp.setRequestHeader("Content-Type", "application/json");
            // xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
            xmlhttp.send(ItemJSON);
            res =  JSON.parse(xmlhttp.responseText);
            token = res.data.access_token;
            user_id = res.data.user.id;

            URL = configs.content.urlbase + "/api/v5/contents/" + id
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
            xmlhttp.open("GET", URL, false);
            xmlhttp.setRequestHeader("Content-Type", "application/json");
            xmlhttp.setRequestHeader("Authorization", token);
            xmlhttp.send();
            resJSON =  xmlhttp.responseText;
            dataObj = JSON.parse(resJSON);
            document.getElementById("content_id").innerHTML = dataObj.data.id;
            document.getElementById("content_core_id").innerHTML = dataObj.data.content_core_id;
            document.getElementById("title").innerHTML = dataObj.data.title;
            document.getElementById("duration").innerHTML = dataObj.data.duration_minute + " minutes";
            document.getElementById("type").innerHTML = dataObj.data.type;
            document.getElementById("cat_name").innerHTML = dataObj.data.category_name;
            document.getElementById("year").innerHTML = dataObj.data.year;
            document.getElementById("rating").innerHTML = dataObj.data.rating;

            banner_url = dataObj.data.banner_url;
            big_poster = dataObj.data.big_poster;
            image_url = dataObj.data.image_url;

            thumb_url = dataObj.data.thumb_url;
            url_portrait_poster = dataObj.data.url_portrait_poster;
            url_square_poster = dataObj.data.url_square_poster;

            url_web_banner_detail = dataObj.data.url_web_banner_detail;
            url_wide_poster = dataObj.data.url_wide_poster;

            document.getElementById("banner_url").src = banner_url;
            document.getElementById("big_poster").src = big_poster;
            document.getElementById("image_url").src = image_url;

            document.getElementById("thumb_url").src = thumb_url;
            document.getElementById("url_portrait_poster").src = url_portrait_poster;
            document.getElementById("url_square_poster").src = url_square_poster;

            document.getElementById("url_web_banner_detail").src = url_web_banner_detail;
            document.getElementById("url_wide_poster").src = url_wide_poster;

            document.getElementById("urlimg").value = url_wide_poster;

            URL =  configs.content.urlbase + "/api/v4/player/" + dataObj.data.content_core_id
            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
            xmlhttp.open("GET", URL, false);
            xmlhttp.setRequestHeader("Content-Type", "application/json");
            xmlhttp.setRequestHeader("Authorization", token);
            xmlhttp.send();
            resJSON =  xmlhttp.responseText;
            dataObj = JSON.parse(resJSON); 

            // document.getElementById("urlimg").value = banner
            // JSON.stringify(status);
            if (dataObj.status.code == "0") {
                document.getElementById("drm").innerHTML = "";
                document.getElementById("hls").innerHTML = "N/A";
                document.getElementById("mpd").innerHTML = "N/A";
                // document.getElementById("play").href = "";
                document.getElementById("urlmpd").value = ""
                document.getElementById("urlhls").value = ""
                if (JSON.stringify(dataObj.data)!="{}") {
                // if (dataObj.data !=none) {
                    var hls = dataObj.data.player.hls;
                    var mpd = dataObj.data.player.mpd;
                    var drm = dataObj.data.player.drm;
                    document.getElementById("drm").innerHTML = drm;
                    document.getElementById("hls").innerHTML = hls;
                    document.getElementById("mpd").innerHTML = mpd;
                    document.getElementById("urlmpd").value = mpd;
                    document.getElementById("urlhls").value = hls;
                    // document.getElementById("play").href = "https://okezone.visionplus.id/player-prd.html?url="+ mpd +"&url2=" + hls + "&img=" + banner;
                }else{
                }
            }else{
                document.getElementById("hls").innerHTML = dataObj.status.message_client;
                document.getElementById("mpd").innerHTML = dataObj.status.message_client;
            }

            document.getElementById("id").value = id;

        </script>
    </body>
</html>
